/*
Theme Name: Meta Camera Theme
Theme URI: http://www.meta-camera.io
Version: 1.0
Description: Meta Camera Wordpress Theme
Author: Sumobaby
Author URI: https://www.sumobaby.net/
template: bb-theme
*/
/*!
 * @site https://jonsuh.com/hamburgers
 * @link https://github.com/jonsuh/hamburgers
 */

:root {
  --pink: #FF328B;
  /*--vblack: #101010;*/
  --vblack:  #131313;
  --vblack-rgb: 19,19,19;
  --green: #03CF9D;
}
/*body {  -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; }*/
body:not(.page-id-203,.page-id-199,.page-id-195,.page-id-466,.single-post,.page-id-432){ background-image: url('/wp-content/themes/metacamera/img/background-gradient.svg'); background-repeat: no-repeat; background-position: top right; background-size: contain; }
body.home { background-size: min(50%, 800px) auto; }
body.page-id-203, body.page-id-199, body.page-id-195, body.page-id-466 { background-image: url('/wp-content/themes/metacamera/img/background-gradient-green.svg'); background-position: top right; background-repeat: no-repeat; background-size: contain;  } 

.hamburger { padding: 0 0 15px 15px; display: inline-block; cursor: pointer; will-change: opacity, filter; transition-property: opacity, filter; transition-duration: 0.15s; transition-timing-function: linear; font: inherit; color: inherit; text-transform: none; background-color: transparent; border: 0; margin: 0; overflow: visible; } 
.hamburger:hover { opacity: 0.7; }
.hamburger.is-active:hover { opacity: 0.7; } 
.hamburger.is-active .hamburger-inner, .hamburger.is-active .hamburger-inner::before, .hamburger.is-active .hamburger-inner::after {  background-color: #fff; }
.hamburger:focus, .hamburger:hover { background: transparent; border: 0; }
.hamburger-box { width: 30px; height: 24px; display: inline-block; position: relative; }
.hamburger-inner { display: block; top: 50%; margin-top: -2px; }
.hamburger-inner, .hamburger-inner::before, .hamburger-inner::after { width: 30px; height: 2px; background-color: #fff; border-radius: 0; position: absolute; transition-property: transform; transition-duration: 0.15s; transition-timing-function: ease; }
.hamburger-inner::before, .hamburger-inner::after { content: ""; display: block; } 
.hamburger-inner::before { top: -10px; }
.hamburger-inner::after {  bottom: -10px; }
.hamburger--squeeze .hamburger-inner { transition-duration: 0.075s; transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19); } 
.hamburger--squeeze .hamburger-inner::before { transition: top 0.075s 0.12s ease, opacity 0.075s ease; } 
.hamburger--squeeze .hamburger-inner::after { transition: bottom 0.075s 0.12s ease, transform 0.075s cubic-bezier(0.55, 0.055, 0.675, 0.19); }
.hamburger--squeeze.is-active .hamburger-inner { transform: rotate(45deg); transition-delay: 0.12s; transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1); } 
.hamburger--squeeze.is-active .hamburger-inner::before { top: 0; opacity: 0; transition: top 0.075s ease, opacity 0.075s 0.12s ease; }
.hamburger--squeeze.is-active .hamburger-inner::after { bottom: 0; transform: rotate(-90deg); transition: bottom 0.075s ease, transform 0.075s 0.12s cubic-bezier(0.215, 0.61, 0.355, 1); }


.fl-module-menu { height:100%;  }
.fl-node-5c90d27135316 .fl-menu .menu > li { padding-top:20px; padding-bottom:20px;  }
.fl-menu .sub-menu {  backdrop-filter: blur(6px); -webkit-backdrop-filter: blur(6px); }
.menu > li > a { position:relative; }
.fl-module-content a::before
header .menu-item { position: relative; }

header .menu-item a:after { position: absolute; bottom: 10px; display: block; content: ""; width: 0; height: 1px; background-color: #fff; transition: width 0.5s ease-in-out;  left: 50%; transform: translateX(-50%);  }
header .menu-item a:hover:after, .menu-item.current_page_item a:after { width: 80%; }
header .menu-item.nm1 a:hover:after, .menu-item.current-menu-item.nm1 a:after, header .menu-item.nm2 a:hover:after, .menu-item.current-menu-item.nm2 a:after { width: 72%; }
header .menu-item.nm3 a:hover:after, .menu-item.current-menu-item.nm3 a:after, header .menu-item.nm4 a:hover:after, .menu-item.current-menu-item.nm4 a:after { width: 76%; }
header .menu-item.ncc a:hover:after, .menu-item.current-menu-item.ncc a:after { width: 82%; }
header .menu-item.ns a:hover:after, .menu-item.current-menu-item.ns a:after { width: 78%; }
header .menu-item.nn a:hover:after, .menu-item.current-menu-item.nn a:after { width: 66%; }
header .menu-item.nc a:hover:after, .menu-item.current-menu-item.nc a:after { width: 70%; }


header .mobilemenu .menu-item.nm1 a:hover:after, .mobilemenu .menu-item.current-menu-item.nm1 a:after, header .mobilemenu .menu-item.nm2 a:hover:after, .mobilemenu .menu-item.current-menu-item.nm2 a:after { width:110px; }
header .mobilemenu .menu-item.nm3 a:hover:after, .mobilemenu .menu-item.current-menu-item.nm3 a:after{ width: 130px; }
header .mobilemenu .menu-item.nm4 a:hover:after, .mobilemenu .menu-item.current-menu-item.nm4 a:after { width: 118px; }
header .mobilemenu .menu-item.ncc a:hover:after, .mobilemenu .menu-item.current-menu-item.ncc a:after { width: 195px; }
header .mobilemenu .menu-item.ns a:hover:after, .mobilemenu .menu-item.current-menu-item.ns a:after { width: 102px; }
header .mobilemenu .menu-item.nn a:hover:after, .mobilemenu .menu-item.current-menu-item.nn a:after { width:68px; }
header .mobilemenu .menu-item.nc a:hover:after, .mobilemenu .menu-item.current-menu-item.nc a:after { width: 94px; }


header .menu-item  .sub-menu  a:after { position: absolute; bottom: 10px; display: block; content: ""; width: 0; height: 1px; background-color: #fff; transition: width 0.5s ease-in-out; left:0; transform: translate(10px, 0); }
header .menu-item  .sub-menu  a:hover:after { width: 60%; }
.device-header { position: relative; z-index: 10; }

body:not(.fl-builder-edit) .device-header { position: fixed; top: 0; width: 100%; left: 0; }
.device-menu { top: -1000em; width: 100%; left: 0; transition: top 0.75s ease-in-out; z-index: 5; }
body:not(.fl-builder-edit) .device-menu { position: fixed; top: -100em; }
body:not(.fl-builder-edit) .device-menu.active { top: 0; }

header.fl-builder-global-templates-locked { transition: background-color 0.3s ease, backdrop-filter 0.3s ease; will-change: background-color, backdrop-filter; z-index:10; position:relative;  }
.fl-theme-builder-header-scrolled, .fl-theme-builder-header-sticky { background-color: rgba(0, 0, 0, 0.5); backdrop-filter: blur(6px); -webkit-backdrop-filter: blur(6px);  }
.fl-node-5c9b5c1abfce8 .sub-menu > li.current-menu-item > a { color:#fff;  }
.page-id-6 #fl-main-content { margin-top:-95px }
.page-id-432 #fl-main-content { margin-top:-110px }
.page-id-960 #fl-main-content { margin-top:-95px }

h2, h3 { font-weight: 100;  }
h2 { font-size: 80px;  }
h4 { font-weight: 300 }
.spacedout { letter-spacing: 6px; font-size: 14px; }
.rcc { border: 1px solid #03CF9D; border-radius: 30px;  }
.rco { border: 1px solid #FF328B; border-radius: 30px;  }


.fl-page-nav .sub-menu  { background: #2C2C2C;}
.allcur { text-align:right; }
.cm { text-align:center; }
.allcur, .hideme { display:none; }
.showme { display:block; }
.currency-switcher-dropdown { background:#000; color:#fff; padding:5px 10px 5px 0px; border:1px solid #FFF; font-size:0.8em !important; }
.relativeb { position:relative; }
.relativeb .fl-module-photo { position:absolute; bottom:0; left:calc(50% - 80px) }
/*.fl-node-5c9b56d3d64c8 > .fl-row-content-wrap { background-color: rgba(19,19,19,0.57); border-top-width: 1px; border-right-width: 0px; border-bottom-width: 1px; border-left-width: 0px; }*/
.fl-node-5c90d27135313 { z-index:999;}
/*.responsivevideo .fl-video.fl-embed-video { padding-top: 56.25%; width:100%; position:relative; }*/
.responsivevideo .fl-video.fl-embed-video iframe { position:absolute; width:100%; height:100%; top:0; }
.beaver-builder-editing .responsivevideo .fl-video.fl-embed-video { padding: 0; }

.videopanel { z-index:1 }
.scrolldown::after { content: ""; position: absolute; bottom: 30px; left: 50%; transform: translateX(-50%); width: 120px;  height: 49px;  background-image: url('/wp-content/uploads/2023/03/scroll-down.webp'); background-size: contain; background-repeat: no-repeat; background-position: center; }
.mhcarousel  { max-width: 850px; margin: 15px auto; height: 100px;  }
.mhcarousel .uabb-image-carousel .slick-list,  .mhcarousel .uabb-image-carousel .slick-track { height: 100%;  }
.mhcarousel .uabb-image-carousel .slick-slide { display: flex !important;  justify-content: center;  align-items: center; height: 100%; }
.mhcarousel .uabb-image-carousel img.uabb-gallery-img { max-height: 80px; width: auto; display: block; }

.fl-contact-form input[type=text], .fl-contact-form input[type=email], .fl-contact-form textarea { color: #000; }
.pink { color: var(--pink) !important; }
.bold-pink strong { color: #ff338e; }
.bold-green strong { color: #00CCAA; }
/*.page-id-432 a { color:#00CCAA; }
.page-id-432 a:hover, .page-id-432 a:focus { text-decoration:underline }*/
.headerdiv { display: block;  width: 100%; }


@media (min-width: 1024px) {
    .w-65 {
        width: 65% !important;
    }
}


.fl-module-content a:not(.btnfull, .btnoutline, .uabb-button, header a,a.notme,.footerboxes a, .fl-post-grid-image a, .fl-photo-content a) { color: var(--pink); text-decoration: none; transition: transform ease 0.2s; position: relative; display: inline-block; }
.fl-module-content a::before { content: ""; position: absolute; left: 0; bottom: 3px; width: 100%; height: 1px; background-color: var(--pink); transform: scaleX(0); transform-origin: left; transition: transform 0.2s ease; }
.fl-module-content a:not(.btnfull, .btnoutline, .uabb-button, header a,a.notme,footer .uabb-creative-menu a, .footerboxes a,.notme a,.page-id-466 .fl-post-grid a, .fl-photo-content a):hover::before {
    transform: scaleX(1);
}

.footerboxes a { color:#fff; }
.footerboxes a:hover, .footerboxes a:focus {  color:var(--pink); }
.byline .fl-heading:after { display: inline-block; content: '-';  margin-left: 5px; }
label:not(.notme,.notme label) { display: none; }
::-webkit-input-placeholder { color: #333333 !important; }
::-moz-placeholder { color: #333333 !important; }
:-ms-input-placeholder { color: #333333 !important; }
:-moz-placeholder { color: #333333 !important; }
.notme label input { margin-right: 10px; }
#menu-icon:hover, #menu-icon:focus { cursor: pointer; }
input[type=submit].sendme { width: 100%; background-color: var(--green); color: var(--vblack); text-align: center !important; border-radius: 30px; border: 1px solid var(--green); padding: 10px !important; transition: all ease 0.4s;
	&:hover, :focus { background-color:#fff; color:var(--green);  }
}
#maincontactform { max-width: 500px; margin: 0 auto;  }
.customsolution { max-width: 800px; margin: 0 auto; font-weight:200;  }

#maincontactform input[type=text],#maincontactform input[type=password],#maincontactform input[type=email],#maincontactform input[type=tel],#maincontactform input[type=date],#maincontactform input[type=month],#maincontactform input[type=week],#maincontactform input[type=time],#maincontactform input[type=number],#maincontactform input[type=search],#maincontactform input[type=url], #maincontactform textarea 
{ color: var(--vblack); }

.centreme { display: flex; justify-content: center; }

.homehero  { display: block; background-image: url('/wp-content/uploads/2024/10/env-hdr.webp'); background-repeat: no-repeat; background-position: bottom; background-size: cover; position: relative; }
/*.homehero .fl-row-content-wrap { background-image: url(https://metacamera.sumobaby.co.uk/wp-content/uploads/2024/10/hp-cam.webp);  background-repeat: no-repeat; background-position: center bottom; background-attachment: scroll; background-size: contain; }*/
.bottom-align .fl-node-content { display: flex; flex-direction: column; justify-content: flex-end; height: 100%; }
.heroheadings .fl-html { display: flex; flex-direction: column-reverse; }
.heroheadings h3, .camerahero h3 { text-transform: uppercase; font-size: 18px; text-align: center; letter-spacing: 8px;   } 
.camerahero h3 { font-size: 0.8em }
.heroheadings h2, .camerahero h1 { font-size: 90px; text-align: center;} 

.homehero .fl-row-content-wrap::after { content: ''; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(to bottom, transparent 50%, var(--vblack) 90%); pointer-events: none; }
.homehero .fl-row-content-wrap { position: relative; z-index:1; }

.wp-image-1038 {  z-index:50; position: relative; }
.circular picture img { border-radius: 50%; object-fit: cover; display: block;  }
.fadetoblack .fl-row-content-wrap::before { content: ''; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(to bottom, transparent 50%, var(--vblack) 90%); }
/*.fadetoblack .fl-row-content-wrap::after { content: ''; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(to bottom, transparent 50%, var(--vblack) 90%); }*/
.larger h1 .fl-heading-text { font-size: 120px; }

.btnfull { border: 1px solid #fff; background: #fff; color: #000; border-radius: 30px;  padding: 10px 25px; font-size: 0.8em;   transition: background-color ease 0.3s;
	&:hover { background-color: transparent; color: #fff; text-decoration: none !important; }
}
.btnoutline { border: 1px solid #fff; background-color: transparent; color: #fff; border-radius: 30px;  padding: 10px 25px; font-size: 0.8em;  transition: background-color ease 0.3s;
	&:hover { background-color: #fff; color: #000; text-decoration: none !important;  }
}


.btnoutlinea a.uabb-button { border: 1px solid #fff; background-color: transparent; color: #fff; border-radius: 30px;  padding: 10px 25px; font-size: 0.8em;  /*transition: all ease 0.2s;*/ margin:0 auto; display:block
	&:hover { background-color: #fff; color: #000 !important; border: 1px solid #fff; text-decoration: none; }
}

.wp-caption {  /*padding:0;*/ border:none; background-color:transparent; }
.wp-caption p.wp-caption-text { color:#fff; }

.fl-post-grid-text { display: flex; flex-direction: column; }
.fl-post-grid-meta { order: 1; }
.fl-post-grid-title { order: 2; }
.fl-post-grid-content { order: 3; }

.whitelinks .fl-module-content { margin:0; }
.whitelinks .fl-module-content a { color:#fff !important;
   &:before { background-color:#fff !important;  }
}


.fl-module-content a.white, .fl-module-content .white { color: #fff !important; }
.breadcrumbs .fl-html span { display: inline; }
.breadcrumbs .fl-html span span { display: inline-block; padding:0 5px;   }
.breadcrumbs .fl-html span a { color: #fff; }

footer { background: var(--vblack); }
.mgradient { background-image: url('/wp-content/themes/metacamera/img/mgrad.svg'); background-repeat: no-repeat; background-position: left center; background-size: cover; }
.hpstaggered .box3 { display: flex; flex-direction: column; justify-content: flex-end; }
.hpstaggered .fl-col-group-equal-height.fl-col-group-align-top .box3 .fl-col-content { justify-content: flex-end; }
.shortwhiteline { height: 1px; background: #fff; width: 120px; clear: both; margin:20px 0 25px; }
.footerboxes { z-index: 2;  position: relative; }
.copyrightrow { z-index:1;  position: relative; }
.footerboxes, .copyrightrow p { font-size: 0.8em !important; }
.nohyperbole .fl-row-content-wrap { background-image: url(/wp-content/uploads/2024/11/no-hyperbole-background.webp); background-repeat: no-repeat; background-position: center center; background-attachment: scroll; background-size: cover; }
.nohyperbole { position: relative; overflow:hidden; }
.nohyperbole .lefttext, .nohyperbole .rightext { position: absolute; transform-origin: center; top: 50%;  white-space: nowrap; }
.nohyperbole .lefttext { transform: rotate(-90deg) translate(0, 0); left: -150px; }
.nohyperbole .rightext { transform: rotate(90deg) translate(0, 0); right: -120px; }
.nohyperboleheading h2.fl-heading { font-size: 80px; }
.nohyperbole .fl-module-html, .footagepnel .fl-module-html{ text-align: center; }
.nhmw { max-width:500px; margin: 40px auto 0; }

.footagepnel .fl-row-content-wrap { background-image: url(/wp-content/uploads/2024/11/green-crosses.webp); background-repeat: no-repeat; background-position: center center; background-attachment: scroll; background-size: cover; }
.footbox { max-width:600px; margin: 40px auto 0; }

.footerim h3 { text-transform: uppercase; font-size: 0.8em; text-align: center; letter-spacing: 8px;  } 
.copyright { margin-top:-52px; z-index:1; display:block; font-size: 12px; }


.default-image { height:100%; display: flex; align-items: center;
   & .fl-module-content {  margin:0 0 0 20px }
}

.default-image, .sticky-image { opacity: 1; transition: opacity 0.3s ease, visibility 0.3s ease; visibility:visible;   }
.sticky-image { opacity: 0; position: absolute; top: 0; left: 0; visibility: hidden;   }
.fl-theme-builder-header-scrolled .sticky-image { opacity: 1; visibility: visible; height:100%; display: flex; align-items: center;  
   & .fl-module-content {  margin:0 0 0 20px }
 }

.fl-theme-builder-header-scrolled .default-image { opacity: 0; visibility: hidden }
header .fl-row-content-wrap { padding-top:0px ; padding-bottom:0px; }
.positionrelative { position: relative; }
.rotate90 { transform: rotate(90deg); }


.fl-node-5fff4772cf3ee .fl-post-grid-post { background: transparent; }
.fl-node-5fff4772cf3ee .fl-post-grid h2 a { color: #fff; font-weight: 700;  }
.fl-node-5fff4772cf3ee .fl-post-grid .fl-post-grid-date { color:#A6A5A5;  }
.fl-node-5fff4772cf3ee .fl-post-grid-text { padding: 30px 0 0; }
.fl-post-info-date { font-size: 14px; }

.newsheader { min-height: 50vh;  position: relative}
.fl-node-5fff404ec6985 > .fl-row-content-wrap { height: 100%; min-height: 100%;  position: absolute; top:0 ; left:0; width: 100%;  }
.smaller h2.fl-heading { font-size:16px; font-weight:700; }


@media only screen and (max-width:1140px) {
	.copyright { margin-top:0; }
}

@media only screen and (max-width: 920px) {
	.heroheadings h2, .heroheadings h2, .camerahero h1 { font-size: 3em; line-height: 1em; }
}



@media only screen and (max-width: 820px) {
	.fl-node-5c8fe2636a700 { width:100%}
}


@media only screen and (max-width: 767px) {
	.copyright { margin-top: 0; }
	body:not(.page-id-203,.page-id-199,.page-id-195,.page-id-466,.single-post,.page-id-432){ background-image: url('/wp-content/themes/metacamera/img/background-gradient-mobile.svg'); background-size: contain; }
	body.page-id-203, body.page-id-199, body.page-id-195, body.page-id-466 { background-image: url('/wp-content/themes/metacamera/img/background-gradient-green-mobile.svg'); }
	header.fl-builder-global-templates-locked { position:fixed; width:100%; top:0; left:0;  }
    .single-post .fl-node-5fff404ec6973.fl-row-fixed-width, .fl-node-5fff404ec6973 .fl-row-fixed-width { width: 100%; }
   .profimm h1 .fl-heading-text { font-size:34px; padding-top:80px; line-height:1.2em; display:block; }
   .homehero  {  background-image: url('/wp-content/uploads/2024/10/env-hdr-768x494.webp'); background-size: contain; background-position: top  }
	h2 { font-size: 40px;  }
   .heroheadings h2, .heroheadings h2, .camerahero h1 { font-size: 3em; line-height: 1em; }
   .fl-builder-content .fl-node-mbnjs1zh0lo4 > .fl-col-content { height: 50vh } 
   .fl-builder-content .fl-node-6ioewxa73vb9 > .fl-col-content { height: 35vh; min-height: 35vh; }
	#further { padding-top:75px; }
	.nohyperboleheading h2.fl-heading { font-size: 54px; }
	.nohyperbole .lefttext, .nohyperbole .rightext { opacity: 0.3; }
	.hpstaggered .fl-col-group.fl-col-group-equal-height { display: flex; }
	.hpstaggered .box2 { order: 1; }
    .hpstaggered .box1 { order: 2; }
    .hpstaggered .box3 { order: 3; }
	.larger h1 .fl-heading-text, h1 { font-size:57px; }
	.single-post .fl-node-5fff404ec697c.fl-module-heading .fl-heading { font-size:32px;  }
	
	.nohyperbole .fl-row-content-wrap { background-image: url(/wp-content/uploads/2024/11/no-hyperbole-background-768x466.webp); }
    .footerboxes .box1 { order: 3; }
	.footerboxes .box2 { order: 1; }
    .footerboxes .box3 { order: 2; }
	.fl-module .footericon img { max-width:120px; }
	.footerboxes .uabb-creative-menu-vertical { list-style-type: none; padding: 0; margin: 0; }
	.footerboxes .uabb-creative-menu-vertical li { display: inline-block; }
	.fl-node-i5udsw9q7xh0 .uabb-creative-menu.uabb-menu-default .menu > li > .uabb-has-submenu-container > a { padding-top:5px; padding-bottom:5px; }
	.fl-node-i5udsw9q7xh0 .uabb-creative-menu .menu > li { margin:0; }
    
    .homehero .fl-row-content-wrap::after { content: ''; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(to bottom, transparent 90%, var(--vblack) 100%); pointer-events: none; }
    
}

.pinktick { margin-top: 0 !important; }
@media (min-width: 998px) and (max-width: 1199px) {
    .pinktick { margin-top: 100px !important; }
}


